1. AC Question's Avatar
    hi,i am using micromax a290 handset. its having kitkat software since i bought it. i wanted to upgrade it to the latest software i;e, lollipop 5.1?
    08-10-2015 06:47 AM

Similar Threads

  1. Replies: 3
    Last Post: 08-12-2015, 12:19 PM
  2. Replies: 1
    Last Post: 08-10-2015, 07:06 AM
  3. Getting error when try to run an android studio app.
    By rahul rana2 in forum Ask a Question
    Replies: 0
    Last Post: 08-10-2015, 06:31 AM
  4. How can you correct can't find secure server?
    By edhuch in forum General Help and How To
    Replies: 0
    Last Post: 08-10-2015, 06:27 AM
  5. How to Display Screen Saver when device gets Unlcoked?
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 08-10-2015, 06:15 AM
LINK TO POST COPIED TO CLIPBOARD